image: python:3.7

stages:
  - test

before_script:
  - apt-get -qq update 
  - apt-cache search libmariadb
  - apt-get install -y python3-virtualenv virtualenv supervisor opam redis-server redis-tools libev4 libev-dev libsndfile1 quelcom # mariadb-server libmariadbclient-dev
  - /usr/bin/virtualenv venv
  - . venv/bin/activate
  # - opam init --disable-sandboxing -y
  # - opam switch create 4.08.0
  # - opam update -y
  # - opam install depext -y
  # - opam depext taglib mad lame vorbis flac opus cry samplerate pulseaudio bjack alsa liquidsoap -y
  # - opam install taglib mad lame vorbis flac opus cry samplerate pulseaudio bjack alsa liquidsoap -y
  # - eval $(opam env)
  - python3 -V
  - pip3 install -r requirements.txt
  - mkdir /etc/aura
  - mkdir /var/log/aura
  - pwd
  - cp configuration/sample-development.engine.ini configuration/engine.ini
  - cp configuration/sample.gunicorn.conf.py configuration/gunicorn.conf.py

simple_guru_help:
  stage: test
  script:
    - python3 guru.py -h

#print_connection_status:
#  stage: test
#  script:
#    - python3 guru.py -pcs